/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from kltiface.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __KLTIFACE_STUB__
#define __KLTIFACE_STUB__

#include <dcopstub.h>
#include <dcopobject.h>


class KltIface_stub : virtual public DCOPStub
{
public:
    KltIface_stub( const QCString& app, const QCString& id );
    KltIface_stub( DCOPClient* client, const QCString& app, const QCString& id );
    virtual int sessionCount();
    virtual QString currentSession();
    virtual QString newSession( const QString& type );
    virtual QString sessionId( int position );
    virtual void activateSession( const QString& sessionId );
    virtual ASYNC reparseConfiguration();
protected:
    KltIface_stub() : DCOPStub( never_use ) {};
};


#endif
